Core - Task # 49353

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:

Created: 2013-06-23 Assigned To:

Updated: 2013-06-24 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Reports Module links to the standalone install tool

Description

Remaining updatesUpdate Incomplete
This installation is not configured for the TYPO3 version it is running. If you did so intentionally, this message can be safely ignored. If
you are unsure, visit the Update Wizard section of the Install Tool to see how TYPO3 would change.

The called link is
http://localhost/intro/typo3/install/index.php?redirect_url=index.php%3FTYPO3_INSTALL%5Btype%5D%3Dupdate

This link makes the standalone install tool load in the backend frame. | am not sure this is not on purpose, but looks quite strange.

Associated revisions

Revision f0d8a255 - 2013-06-24 00:47 - Wouter Wolters

[BUGFIX] Reports Module links to the standalone install tool

Link to the backend module instead of the standalone version.

Change-Id: Icf32b91c1fe6edb2b3fa313c865441a1edc3a731
Resolves: #49353

Related: #49162

Releases: 6.2

Reviewed-on: https://review.typo3.org/21616

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History

#1 - 2013-06-23 16:34 - Christian Kuhn

the link should go to typo3/sysext/install/Start.php and should contain context=backend as parameter. the redirect_url parameter is obsolete, and the

text should be adapted, too.

#2 - 2013-06-23 16:57 - Gerrit Code Review
https://review.typo3.org/21616

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21616

#3 - 2013-06-23 22:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21616

#4 - 2013-06-23 22:47 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21616

#5 - 2013-06-24 01:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0d8a255dc34264fc1a73562db47afa7669e1665.
